Detailed reference of prototypes, properties and methods available in the
Javascript environment of your Helma web applications.

Default properties and methods of objects of the class Packages.helma.util.MimePart.
Packages.helma.util.MimePart MimePart
A MimePart object represents a MIME element and makes its properties and contents available to the scripting environment.
Other than calling the Packages.helma.util.MimePart java class directly, there is no constructor to instantiate these objects.
see

Packages.helma.util.MimePart
global.getURL
Mail.prototype.addPart

Number MimePart. contentLength
The content length of a MIME part
String MimePart. contentType
The content type of a MIME part
String MimePart. eTag
The eTag of a MIME part header
java.io.InputStream MimePart. inputStream
An Java InputStream from which the body of the MIME part can be read.
ByteArray MimePart. content
The content of a MIME part as java ByteArray
String MimePart. text
The content of a MIME part as text
Date MimePart. lastModified
The date header of a MIME part
String MimePart. name
The name header of a MIME part
Methods
MimePart. writeToFile(dir, name)
Writes the content of a MIME part to the local file system.
Note that the file's current file extension is automaticaly added to the specified name argument.
parameters

String | dir | as String, the path to the directory where the file should be written
String | name | as String, the file name to be used when writting the file

returns

| String the filepath of the written file

MimePart. getSubHeader(header, subHeaderName)
Get a sub-header from a header, e.g. the charset from Content-Type: text/plain; charset="UTF-8"
parameters

String | header | as String, the header from which the sub-header should be returned
String | subHeaderName | as String, the sub-header that should be retrieved from the header

returns

| String

MimePart. normalizeFilename(filename)
Normalize a upload file name. Internet Explorer on Windows sends the whole path, so we cut off everything before the actual name.
parameters

String | filename | as String, the filepath that is to be reduce to a filename

returns

| String

Tue, 25 Nov 2008 16:50:09 GMT.

### core framework

- global
- app (application)
- req (request)
- res (response)
- session
- path
- root
- HopObject
- User
- File
- FtpClient
- Image
- Mail
- Remote
- Xml
- DatabaseObject
- MimePart
- Skin
- Object

### optional modules

- Array extensions
- Date extensions
- Number extensions
- Object extensions
- String extensions
- HopObject extensions
- global macros
- macro filters
- JSON methods
- helma.Aspects
- helma.Chart
- helma.Color
- helma.Database
- helma.File
- helma.Ftp
- helma.Group
- helma.Html
- helma.Http
- helma.Image
- helma.Mail
- helma.Search
- helma.Skin
- helma.Ssh
- helma.Url
- helma.Zip
- jala.BitTorrent
- jala.Captcha
- jala.Date
- jala.db
- jala.DnsClient
- jala.Form
- jala.History
- jala HopObject extensions
- jala.HtmlDocument
- jala.I18n
- jala.ImageFilter
- jala.IndexManager
- jala.ListRenderer
- jala.Mp3
- jala.PodcastWriter
- jala.RemoteContent
- jala.Rss20Writer
- jala.Utilities
- jala.XmlRpcRequest
- jala.XmlWriter

### java libraries

- browse docjar